summaryrefslogtreecommitdiffstats
path: root/unix/configure
diff options
context:
space:
mode:
authordkf <donal.k.fellows@manchester.ac.uk>2004-11-12 16:44:54 (GMT)
committerdkf <donal.k.fellows@manchester.ac.uk>2004-11-12 16:44:54 (GMT)
commitd2ccdc3e5003ca2340946dd13dec6a4783f716f5 (patch)
tree5c1d1a11287554dfa45381eb9bd5bae42d7e2cc4 /unix/configure
parent51f2943afd57e033279f3ed72c4b15f31427c412 (diff)
downloadtcl-d2ccdc3e5003ca2340946dd13dec6a4783f716f5.zip
tcl-d2ccdc3e5003ca2340946dd13dec6a4783f716f5.tar.gz
tcl-d2ccdc3e5003ca2340946dd13dec6a4783f716f5.tar.bz2
Adapt Tcl so it uses a config.h header instead of stuffing all #defs on the
command line. Third parties using generic/tclInt.h, unix/tclAppInit.c or unix/tcl.m4 should be unaffected. Part of the general TIP#34 project.
Diffstat (limited to 'unix/configure')
-rwxr-xr-xunix/configure555
1 files changed, 435 insertions, 120 deletions
diff --git a/unix/configure b/unix/configure
index cf5b117..a9276b2 100755
--- a/unix/configure
+++ b/unix/configure
@@ -852,6 +852,7 @@ Optional Features:
--enable-langinfo use nl_langinfo if possible to determine
encoding at startup, otherwise use old heuristic
--enable-framework package shared libraries in MacOSX frameworks --disable-framework
+ --enable-dll-unloading turn on the 'unload' command default: on
Optional Packages:
--with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
@@ -1306,6 +1307,8 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
+ ac_config_headers="$ac_config_headers config.h"
+
TCL_VERSION=8.5
TCL_MAJOR_VERSION=8
@@ -2871,7 +2874,8 @@ rm -f conftest.err conftest.$ac_objext \
conftest$ac_exeext conftest.$ac_ext
if test $tcl_ok = no; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define NO_DIRENT_H 1
_ACEOF
@@ -3019,7 +3023,8 @@ fi
if test $ac_cv_header_errno_h = yes; then
:
else
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define NO_ERRNO_H 1
_ACEOF
@@ -3166,7 +3171,8 @@ fi
if test $ac_cv_header_float_h = yes; then
:
else
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define NO_FLOAT_H 1
_ACEOF
@@ -3313,7 +3319,8 @@ fi
if test $ac_cv_header_values_h = yes; then
:
else
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define NO_VALUES_H 1
_ACEOF
@@ -3458,12 +3465,14 @@ echo "${ECHO_T}$ac_cv_header_limits_h" >&6
fi
if test $ac_cv_header_limits_h = yes; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define HAVE_LIMITS_H 1
_ACEOF
else
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define NO_LIMITS_H 1
_ACEOF
@@ -3666,7 +3675,8 @@ fi
rm -f conftest*
if test $tcl_ok = 0; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define NO_STDLIB_H 1
_ACEOF
@@ -3854,7 +3864,8 @@ rm -f conftest*
# set and why.
if test $tcl_ok = 0; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define NO_STRING_H 1
_ACEOF
@@ -4000,7 +4011,8 @@ fi
if test $ac_cv_header_sys_wait_h = yes; then
:
else
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define NO_SYS_WAIT_H 1
_ACEOF
@@ -4147,7 +4159,8 @@ fi
if test $ac_cv_header_dlfcn_h = yes; then
:
else
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define NO_DLFCN_H 1
_ACEOF
@@ -4332,27 +4345,32 @@ echo "${ECHO_T}yes (threaded core)" >&6
echo "${ECHO_T}yes" >&6
fi
TCL_THREADS=1
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define TCL_THREADS 1
_ACEOF
# USE_THREAD_ALLOC tells us to try the special thread-based
# allocator that significantly reduces lock contention
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define USE_THREAD_ALLOC 1
_ACEOF
# USE_THREAD_STORAGE tells us to use the new generic thread
# storage subsystem.
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define USE_THREAD_STORAGE 1
_ACEOF
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define _REENTRANT 1
_ACEOF
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define _THREAD_SAFE 1
_ACEOF
@@ -4939,7 +4957,8 @@ else
fi
if test $tcl_ok = yes ; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define HAVE_PTHREAD_ATTR_GET_NP 1
_ACEOF
@@ -4970,7 +4989,8 @@ fi
echo "$as_me:$LINENO: result: $tcl_cv_grep_pthread_attr_get_np" >&5
echo "${ECHO_T}$tcl_cv_grep_pthread_attr_get_np" >&6
if test $tcl_cv_grep_pthread_attr_get_np = missing ; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define ATTRGETNP_NOT_DECLARED 1
_ACEOF
@@ -5073,7 +5093,8 @@ else
fi
if test $tcl_ok = yes ; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define HAVE_PTHREAD_GETATTR_NP 1
_ACEOF
@@ -5104,7 +5125,8 @@ fi
echo "$as_me:$LINENO: result: $tcl_cv_grep_pthread_getattr_np" >&5
echo "${ECHO_T}$tcl_cv_grep_pthread_getattr_np" >&6
if test $tcl_cv_grep_pthread_getattr_np = missing ; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define GETATTRNP_NOT_DECLARED 1
_ACEOF
@@ -5235,12 +5257,14 @@ if test "${with_encoding+set}" = set; then
fi;
if test x"${with_tcencoding}" != x ; then
- cat >>confdefs.h <<_ACEOF
+
+cat >>confdefs.h <<_ACEOF
#define TCL_CFGVAL_ENCODING "${with_tcencoding}"
_ACEOF
else
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define TCL_CFGVAL_ENCODING "iso8859-1"
_ACEOF
@@ -5684,7 +5708,9 @@ echo "${ECHO_T}$ac_cv_header_net_errno_h" >&6
fi
if test $ac_cv_header_net_errno_h = yes; then
- cat >>confdefs.h <<\_ACEOF
+
+
+cat >>confdefs.h <<\_ACEOF
#define HAVE_NET_ERRNO_H 1
_ACEOF
@@ -6268,7 +6294,8 @@ echo "${ECHO_T}shared" >&6
echo "$as_me:$LINENO: result: static" >&5
echo "${ECHO_T}static" >&6
SHARED_BUILD=0
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define STATIC_BUILD 1
_ACEOF
@@ -6765,7 +6792,8 @@ fi
if test $libbsd = yes; then
MATH_LIBS="$MATH_LIBS -lbsd"
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define USE_DELTA_FOR_TZ 1
_ACEOF
@@ -6886,14 +6914,16 @@ fi
;;
HP-UX-*.11.*)
# Use updated header definitions where possible
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define _XOPEN_SOURCE 1
_ACEOF
- # Use the XOPEN network library
- cat >>confdefs.h <<\_ACEOF
+
+
+cat >>confdefs.h <<\_ACEOF
#define _XOPEN_SOURCE_EXTENDED 1
_ACEOF
- # Use the XOPEN network library
+
LIBS="$LIBS -lxnet" # Use the XOPEN network library
SHLIB_SUFFIX=".sl"
@@ -7351,7 +7381,8 @@ fi
fi
# XIM peeking works under XFree86.
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define PEEK_XCLOSEIM 1
_ACEOF
@@ -7823,19 +7854,23 @@ rm -f conftest*
LD_SEARCH_FLAGS=""
CFLAGS_OPTIMIZE="-Os"
LD_LIBRARY_PATH_VAR="DYLD_LIBRARY_PATH"
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define MAC_OSX_TCL 1
_ACEOF
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define HAVE_CFBUNDLE 1
_ACEOF
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define USE_VFORK 1
_ACEOF
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define TCL_DEFAULT_ENCODING "utf-8"
_ACEOF
@@ -7852,11 +7887,12 @@ _ACEOF
LD_SEARCH_FLAGS=""
;;
OS/390-*)
- CFLAGS_OPTIMIZE="" # Optimizer is buggy
- cat >>confdefs.h <<\_ACEOF
+ CFLAGS_OPTIMIZE="" # Optimizer is buggy
+
+cat >>confdefs.h <<\_ACEOF
#define _OE_SOCKETS 1
_ACEOF
- # needed in sys/socket.h
+
;;
OSF1-1.0|OSF1-1.1|OSF1-1.2)
# OSF/1 1.[012] from OSF, and derivatives, including Paragon OSF/1
@@ -7995,11 +8031,13 @@ _ACEOF
# Note: If _REENTRANT isn't defined, then Solaris
# won't define thread-safe library routines.
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define _REENTRANT 1
_ACEOF
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define _POSIX_PTHREAD_SEMANTICS 1
_ACEOF
@@ -8028,11 +8066,13 @@ _ACEOF
# Note: If _REENTRANT isn't defined, then Solaris
# won't define thread-safe library routines.
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define _REENTRANT 1
_ACEOF
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define _POSIX_PTHREAD_SEMANTICS 1
_ACEOF
@@ -8160,12 +8200,13 @@ echo "${ECHO_T}$found" >&6
esac
if test "$do64bit" = "yes" -a "$do64bit_ok" = "no" ; then
- { echo "$as_me:$LINENO: WARNING: \"64bit support being disabled -- don\'t know magic for this platform\"" >&5
+ { echo "$as_me:$LINENO: WARNING: \"64bit support being disabled -- don\'t know magic for this platform\"" >&5
echo "$as_me: WARNING: \"64bit support being disabled -- don\'t know magic for this platform\"" >&2;}
fi
if test "$do64bit" = "yes" -a "$do64bit_ok" = "yes" ; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define TCL_CFG_DO64BIT 1
_ACEOF
@@ -8252,7 +8293,8 @@ rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
echo "$as_me:$LINENO: result: $tcl_ok" >&5
echo "${ECHO_T}$tcl_ok" >&6
if test $tcl_ok = usable; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define USE_SYS_EXEC_H 1
_ACEOF
@@ -8318,7 +8360,8 @@ rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
echo "$as_me:$LINENO: result: $tcl_ok" >&5
echo "${ECHO_T}$tcl_ok" >&6
if test $tcl_ok = usable; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define USE_A_OUT_H 1
_ACEOF
@@ -8384,7 +8427,8 @@ rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
echo "$as_me:$LINENO: result: $tcl_ok" >&5
echo "${ECHO_T}$tcl_ok" >&6
if test $tcl_ok = usable; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define USE_SYS_EXEC_AOUT_H 1
_ACEOF
@@ -8524,6 +8568,11 @@ fi;
+cat >>confdefs.h <<_ACEOF
+#define TCL_SHLIB_EXT "${SHLIB_SUFFIX}"
+_ACEOF
+
+
@@ -8548,7 +8597,8 @@ fi;
DBGX=""
echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define TCL_CFG_OPTIMIZED 1
_ACEOF
@@ -8563,24 +8613,28 @@ echo "${ECHO_T}yes (standard debugging)" >&6
fi
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define TCL_CFG_DEBUG 1
_ACEOF
if test "$tcl_ok" = "mem" -o "$tcl_ok" = "all"; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define TCL_MEM_DEBUG 1
_ACEOF
fi
if test "$tcl_ok" = "compile" -o "$tcl_ok" = "all"; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define TCL_COMPILE_DEBUG 1
_ACEOF
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define TCL_COMPILE_STATS 1
_ACEOF
@@ -8704,7 +8758,8 @@ rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
fi
if test "x${tcl_cv_flag__isoc99_source}" = "xyes" ; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define _ISOC99_SOURCE 1
_ACEOF
@@ -8807,7 +8862,8 @@ rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
fi
if test "x${tcl_cv_flag__largefile64_source}" = "xyes" ; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define _LARGEFILE64_SOURCE 1
_ACEOF
@@ -8927,14 +8983,16 @@ rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
fi
if test "${tcl_cv_type_64bit}" = none ; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define TCL_WIDE_INT_IS_LONG 1
_ACEOF
echo "$as_me:$LINENO: result: using long" >&5
echo "${ECHO_T}using long" >&6
else
- cat >>confdefs.h <<_ACEOF
+
+cat >>confdefs.h <<_ACEOF
#define TCL_WIDE_INT_TYPE ${tcl_cv_type_64bit}
_ACEOF
@@ -8997,7 +9055,8 @@ rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
fi
if test "x${tcl_cv_struct_dirent64}" = "xyes" ; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define HAVE_STRUCT_DIRENT64 1
_ACEOF
@@ -9060,7 +9119,8 @@ rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
fi
if test "x${tcl_cv_struct_stat64}" = "xyes" ; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define HAVE_STRUCT_STAT64 1
_ACEOF
@@ -9123,7 +9183,8 @@ rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
fi
if test "x${tcl_cv_type_off64_t}" = "xyes" ; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define HAVE_TYPE_OFF64_T 1
_ACEOF
@@ -9474,7 +9535,8 @@ if test `eval echo '${'$as_ac_var'}'` = yes; then
_ACEOF
else
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define USEGETWD 1
_ACEOF
@@ -9807,7 +9869,8 @@ echo "${ECHO_T}$ac_cv_func_strerror" >&6
if test $ac_cv_func_strerror = yes; then
:
else
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define NO_STRERROR 1
_ACEOF
@@ -9906,7 +9969,8 @@ echo "${ECHO_T}$ac_cv_func_getwd" >&6
if test $ac_cv_func_getwd = yes; then
:
else
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define NO_GETWD 1
_ACEOF
@@ -10005,7 +10069,8 @@ echo "${ECHO_T}$ac_cv_func_wait3" >&6
if test $ac_cv_func_wait3 = yes; then
:
else
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define NO_WAIT3 1
_ACEOF
@@ -10104,7 +10169,8 @@ echo "${ECHO_T}$ac_cv_func_uname" >&6
if test $ac_cv_func_uname = yes; then
:
else
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define NO_UNAME 1
_ACEOF
@@ -10203,7 +10269,8 @@ echo "${ECHO_T}$ac_cv_func_realpath" >&6
if test $ac_cv_func_realpath = yes; then
:
else
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define NO_REALPATH 1
_ACEOF
@@ -10654,15 +10721,18 @@ fi
fi
case $tcl_cv_api_serial in
- termios) cat >>confdefs.h <<\_ACEOF
+ termios)
+cat >>confdefs.h <<\_ACEOF
#define USE_TERMIOS 1
_ACEOF
;;
- termio) cat >>confdefs.h <<\_ACEOF
+ termio)
+cat >>confdefs.h <<\_ACEOF
#define USE_TERMIO 1
_ACEOF
;;
- sgtty) cat >>confdefs.h <<\_ACEOF
+ sgtty)
+cat >>confdefs.h <<\_ACEOF
#define USE_SGTTY 1
_ACEOF
;;
@@ -10764,7 +10834,8 @@ fi
echo "$as_me:$LINENO: result: $tcl_cv_grep_fd_mask" >&5
echo "${ECHO_T}$tcl_cv_grep_fd_mask" >&6
if test $tcl_cv_grep_fd_mask = present; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define HAVE_SYS_SELECT_H 1
_ACEOF
@@ -10772,7 +10843,8 @@ _ACEOF
fi
fi
if test $tk_ok = no; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define NO_FD_SET 1
_ACEOF
@@ -11412,7 +11484,8 @@ fi
echo "$as_me:$LINENO: result: $tcl_cv_member_tm_tzadj" >&5
echo "${ECHO_T}$tcl_cv_member_tm_tzadj" >&6
if test $tcl_cv_member_tm_tzadj = yes ; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define HAVE_TM_TZADJ 1
_ACEOF
@@ -11473,7 +11546,8 @@ fi
echo "$as_me:$LINENO: result: $tcl_cv_member_tm_gmtoff" >&5
echo "${ECHO_T}$tcl_cv_member_tm_gmtoff" >&6
if test $tcl_cv_member_tm_gmtoff = yes ; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define HAVE_TM_GMTOFF 1
_ACEOF
@@ -11540,7 +11614,8 @@ fi
echo "$as_me:$LINENO: result: $tcl_cv_timezone_long" >&5
echo "${ECHO_T}$tcl_cv_timezone_long" >&6
if test $tcl_cv_timezone_long = yes ; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define HAVE_TIMEZONE_VAR 1
_ACEOF
@@ -11605,7 +11680,8 @@ fi
echo "$as_me:$LINENO: result: $tcl_cv_timezone_time" >&5
echo "${ECHO_T}$tcl_cv_timezone_time" >&6
if test $tcl_cv_timezone_time = yes ; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define HAVE_TIMEZONE_VAR 1
_ACEOF
@@ -11826,7 +11902,8 @@ echo "${ECHO_T}$ac_cv_func_fstatfs" >&6
if test $ac_cv_func_fstatfs = yes; then
:
else
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define NO_FSTATFS 1
_ACEOF
@@ -12017,10 +12094,14 @@ echo "${ECHO_T}$ac_cv_func_memmove" >&6
if test $ac_cv_func_memmove = yes; then
:
else
- cat >>confdefs.h <<\_ACEOF
+
+
+cat >>confdefs.h <<\_ACEOF
#define NO_MEMMOVE 1
_ACEOF
- cat >>confdefs.h <<\_ACEOF
+
+
+cat >>confdefs.h <<\_ACEOF
#define NO_STRING_H 1
_ACEOF
@@ -12589,7 +12670,8 @@ echo "${ECHO_T}buggy" >&6
esac
USE_COMPAT=1
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define strtod fixstrtod
_ACEOF
@@ -12872,7 +12954,8 @@ fi
echo "$as_me:$LINENO: result: $ac_cv_type_socklen_t" >&5
echo "${ECHO_T}$ac_cv_type_socklen_t" >&6
if test $ac_cv_type_socklen_t = no; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define socklen_t unsigned
_ACEOF
@@ -12978,7 +13061,8 @@ echo "${ECHO_T}$ac_cv_func_opendir" >&6
if test $ac_cv_func_opendir = yes; then
:
else
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define USE_DIRENT2_H 1
_ACEOF
@@ -13054,7 +13138,8 @@ fi
echo "$as_me:$LINENO: result: $tcl_cv_union_wait" >&5
echo "${ECHO_T}$tcl_cv_union_wait" >&6
if test $tcl_cv_union_wait = no; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define NO_UNION_WAIT 1
_ACEOF
@@ -13420,7 +13505,8 @@ fi
echo "$as_me:$LINENO: result: $ac_cv_func_BSDgettimeofday" >&5
echo "${ECHO_T}$ac_cv_func_BSDgettimeofday" >&6
if test $ac_cv_func_BSDgettimeofday = yes; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define HAVE_BSDGETTIMEOFDAY 1
_ACEOF
@@ -13519,7 +13605,8 @@ echo "${ECHO_T}$ac_cv_func_gettimeofday" >&6
if test $ac_cv_func_gettimeofday = yes; then
:
else
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define NO_GETTOD 1
_ACEOF
@@ -13555,7 +13642,8 @@ fi
echo "$as_me:$LINENO: result: $tcl_cv_grep_gettimeofday" >&5
echo "${ECHO_T}$tcl_cv_grep_gettimeofday" >&6
if test $tcl_cv_grep_gettimeofday = missing ; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define GETTOD_NOT_DECLARED 1
_ACEOF
@@ -13688,7 +13776,8 @@ fi
echo "$as_me:$LINENO: result: $tcl_cv_char_signed" >&5
echo "${ECHO_T}$tcl_cv_char_signed" >&6
if test $tcl_cv_char_signed = yes; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define HAVE_SIGNED_CHAR 1
_ACEOF
@@ -13760,7 +13849,8 @@ fi
echo "$as_me:$LINENO: result: $tcl_cv_putenv_copy" >&5
echo "${ECHO_T}$tcl_cv_putenv_copy" >&6
if test $tcl_cv_putenv_copy = yes; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define HAVE_PUTENV_THAT_COPIES 1
_ACEOF
@@ -13980,7 +14070,8 @@ rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
langinfo_ok="no (could not compile with nl_langinfo)";
fi
if test "$langinfo_ok" = "yes"; then
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define HAVE_LANGINFO 1
_ACEOF
@@ -14539,7 +14630,8 @@ echo $ECHO_N "checking FIONBIO vs. O_NONBLOCK for nonblocking I/O... $ECHO_C" >&
# code (JO, 5/31/97).
OSF*)
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define USE_FIONBIO 1
_ACEOF
@@ -14547,7 +14639,8 @@ _ACEOF
echo "${ECHO_T}FIONBIO" >&6
;;
SunOS-4*)
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define USE_FIONBIO 1
_ACEOF
@@ -14555,7 +14648,8 @@ _ACEOF
echo "${ECHO_T}FIONBIO" >&6
;;
ULTRIX-4.*)
- cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
#define USE_FIONBIO 1
_ACEOF
@@ -14697,6 +14791,23 @@ TCL_STUB_LIB_PATH="${libdir}/${TCL_STUB_LIB_FILE}"
eval "TCL_INCLUDE_SPEC=\"-I${includedir}\""
#------------------------------------------------------------------------
+
+# Check whether --enable-dll-unloading or --disable-dll-unloading was given.
+if test "${enable_dll_unloading+set}" = set; then
+ enableval="$enable_dll_unloading"
+ tcl_ok=$enableval
+else
+ tcl_ok=yes
+fi;
+if test $tcl_ok = yes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define TCL_UNLOAD_DLLS 1
+_ACEOF
+
+fi
+
+#------------------------------------------------------------------------
# tclConfig.sh refers to this by a different name
#------------------------------------------------------------------------
@@ -14721,6 +14832,11 @@ TCL_SHARED_BUILD=${SHARED_BUILD}
+cat >>confdefs.h <<_ACEOF
+#define TCL_DBGX ${TCL_DBGX}
+_ACEOF
+
+
@@ -14816,38 +14932,7 @@ s/^[^=]*=[ ]*$//;
}'
fi
-# Transform confdefs.h into DEFS.
-# Protect against shell expansion while executing Makefile rules.
-# Protect against Makefile macro expansion.
-#
-# If the first sed substitution is executed (which looks for macros that
-# take arguments), then we branch to the quote section. Otherwise,
-# look for a macro that doesn't take arguments.
-cat >confdef2opt.sed <<\_ACEOF
-t clear
-: clear
-s,^[ ]*#[ ]*define[ ][ ]*\([^ (][^ (]*([^)]*)\)[ ]*\(.*\),-D\1=\2,g
-t quote
-s,^[ ]*#[ ]*define[ ][ ]*\([^ ][^ ]*\)[ ]*\(.*\),-D\1=\2,g
-t quote
-d
-: quote
-s,[ `~#$^&*(){}\\|;'"<>?],\\&,g
-s,\[,\\&,g
-s,\],\\&,g
-s,\$,$$,g
-p
-_ACEOF
-# We use echo to avoid assuming a particular line-breaking character.
-# The extra dot is to prevent the shell from consuming trailing
-# line-breaks from the sub-command output. A line-break within
-# single-quotes doesn't work because, if this script is created in a
-# platform that uses two characters for line-breaks (e.g., DOS), tr
-# would break.
-ac_LF_and_DOT=`echo; echo .`
-DEFS=`sed -n -f confdef2opt.sed confdefs.h | tr "$ac_LF_and_DOT" ' .'`
-rm -f confdef2opt.sed
-
+DEFS=-DHAVE_CONFIG_H
ac_libobjs=
ac_ltlibobjs=
@@ -15181,10 +15266,15 @@ Usage: $0 [OPTIONS] [FILE]...
--recheck update $as_me by reconfiguring in the same conditions
--file=FILE[:TEMPLATE]
instantiate the configuration file FILE
+ --header=FILE[:TEMPLATE]
+ instantiate the configuration header FILE
Configuration files:
$config_files
+Configuration headers:
+$config_headers
+
Report bugs to <bug-autoconf@gnu.org>."
_ACEOF
@@ -15295,6 +15385,7 @@ do
"Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
"dltest/Makefile" ) CONFIG_FILES="$CONFIG_FILES dltest/Makefile" ;;
"tclConfig.sh" ) CONFIG_FILES="$CONFIG_FILES tclConfig.sh" ;;
+ "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
*) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };;
@@ -15307,6 +15398,7 @@ done
# bizarre bug on SunOS 4.1.3.
if $ac_need_defaults; then
test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
+ test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
fi
# Have a temporary directory for convenience. Make it in the build tree
@@ -15683,6 +15775,229 @@ s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
done
_ACEOF
+cat >>$CONFIG_STATUS <<\_ACEOF
+
+#
+# CONFIG_HEADER section.
+#
+
+# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
+# NAME is the cpp macro being defined and VALUE is the value it is being given.
+#
+# ac_d sets the value in "#define NAME VALUE" lines.
+ac_dA='s,^\([ ]*\)#\([ ]*define[ ][ ]*\)'
+ac_dB='[ ].*$,\1#\2'
+ac_dC=' '
+ac_dD=',;t'
+# ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
+ac_uA='s,^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
+ac_uB='$,\1#\2define\3'
+ac_uC=' '
+ac_uD=',;t'
+
+for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
+ # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
+ case $ac_file in
+ - | *:- | *:-:* ) # input from stdin
+ cat >$tmp/stdin
+ ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
+ ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
+ *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
+ ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
+ * ) ac_file_in=$ac_file.in ;;
+ esac
+
+ test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
+echo "$as_me: creating $ac_file" >&6;}
+
+ # First look for the input files in the build tree, otherwise in the
+ # src tree.
+ ac_file_inputs=`IFS=:
+ for f in $ac_file_in; do
+ case $f in
+ -) echo $tmp/stdin ;;
+ [\\/$]*)
+ # Absolute (can't be DOS-style, as IFS=:)
+ test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
+echo "$as_me: error: cannot find input file: $f" >&2;}
+ { (exit 1); exit 1; }; }
+ # Do quote $f, to prevent DOS paths from being IFS'd.
+ echo "$f";;
+ *) # Relative
+ if test -f "$f"; then
+ # Build tree
+ echo "$f"
+ elif test -f "$srcdir/$f"; then
+ # Source tree
+ echo "$srcdir/$f"
+ else
+ # /dev/null tree
+ { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
+echo "$as_me: error: cannot find input file: $f" >&2;}
+ { (exit 1); exit 1; }; }
+ fi;;
+ esac
+ done` || { (exit 1); exit 1; }
+ # Remove the trailing spaces.
+ sed 's/[ ]*$//' $ac_file_inputs >$tmp/in
+
+_ACEOF
+
+# Transform confdefs.h into two sed scripts, `conftest.defines' and
+# `conftest.undefs', that substitutes the proper values into
+# config.h.in to produce config.h. The first handles `#define'
+# templates, and the second `#undef' templates.
+# And first: Protect against being on the right side of a sed subst in
+# config.status. Protect against being in an unquoted here document
+# in config.status.
+rm -f conftest.defines conftest.undefs
+# Using a here document instead of a string reduces the quoting nightmare.
+# Putting comments in sed scripts is not portable.
+#
+# `end' is used to avoid that the second main sed command (meant for
+# 0-ary CPP macros) applies to n-ary macro definitions.
+# See the Autoconf documentation for `clear'.
+cat >confdef2sed.sed <<\_ACEOF
+s/[\\&,]/\\&/g
+s,[\\$`],\\&,g
+t clear
+: clear
+s,^[ ]*#[ ]*define[ ][ ]*\([^ (][^ (]*\)\(([^)]*)\)[ ]*\(.*\)$,${ac_dA}\1${ac_dB}\1\2${ac_dC}\3${ac_dD},gp
+t end
+s,^[ ]*#[ ]*define[ ][ ]*\([^ ][^ ]*\)[ ]*\(.*\)$,${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD},gp
+: end
+_ACEOF
+# If some macros were called several times there might be several times
+# the same #defines, which is useless. Nevertheless, we may not want to
+# sort them, since we want the *last* AC-DEFINE to be honored.
+uniq confdefs.h | sed -n -f confdef2sed.sed >conftest.defines
+sed 's/ac_d/ac_u/g' conftest.defines >conftest.undefs
+rm -f confdef2sed.sed
+
+# This sed command replaces #undef with comments. This is necessary, for
+# example, in the case of _POSIX_SOURCE, which is predefined and required
+# on some systems where configure will not decide to define it.
+cat >>conftest.undefs <<\_ACEOF
+s,^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
+_ACEOF
+
+# Break up conftest.defines because some shells have a limit on the size
+# of here documents, and old seds have small limits too (100 cmds).
+echo ' # Handle all the #define templates only if necessary.' >>$CONFIG_STATUS
+echo ' if grep "^[ ]*#[ ]*define" $tmp/in >/dev/null; then' >>$CONFIG_STATUS
+echo ' # If there are no defines, we may have an empty if/fi' >>$CONFIG_STATUS
+echo ' :' >>$CONFIG_STATUS
+rm -f conftest.tail
+while grep . conftest.defines >/dev/null
+do
+ # Write a limited-size here document to $tmp/defines.sed.
+ echo ' cat >$tmp/defines.sed <<CEOF' >>$CONFIG_STATUS
+ # Speed up: don't consider the non `#define' lines.
+ echo '/^[ ]*#[ ]*define/!b' >>$CONFIG_STATUS
+ # Work around the forget-to-reset-the-flag bug.
+ echo 't clr' >>$CONFIG_STATUS
+ echo ': clr' >>$CONFIG_STATUS
+ sed ${ac_max_here_lines}q conftest.defines >>$CONFIG_STATUS
+ echo 'CEOF
+ sed -f $tmp/defines.sed $tmp/in >$tmp/out
+ rm -f $tmp/in
+ mv $tmp/out $tmp/in
+' >>$CONFIG_STATUS
+ sed 1,${ac_max_here_lines}d conftest.defines >conftest.tail
+ rm -f conftest.defines
+ mv conftest.tail conftest.defines
+done
+rm -f conftest.defines
+echo ' fi # grep' >>$CONFIG_STATUS
+echo >>$CONFIG_STATUS
+
+# Break up conftest.undefs because some shells have a limit on the size
+# of here documents, and old seds have small limits too (100 cmds).
+echo ' # Handle all the #undef templates' >>$CONFIG_STATUS
+rm -f conftest.tail
+while grep . conftest.undefs >/dev/null
+do
+ # Write a limited-size here document to $tmp/undefs.sed.
+ echo ' cat >$tmp/undefs.sed <<CEOF' >>$CONFIG_STATUS
+ # Speed up: don't consider the non `#undef'
+ echo '/^[ ]*#[ ]*undef/!b' >>$CONFIG_STATUS
+ # Work around the forget-to-reset-the-flag bug.
+ echo 't clr' >>$CONFIG_STATUS
+ echo ': clr' >>$CONFIG_STATUS
+ sed ${ac_max_here_lines}q conftest.undefs >>$CONFIG_STATUS
+ echo 'CEOF
+ sed -f $tmp/undefs.sed $tmp/in >$tmp/out
+ rm -f $tmp/in
+ mv $tmp/out $tmp/in
+' >>$CONFIG_STATUS
+ sed 1,${ac_max_here_lines}d conftest.undefs >conftest.tail
+ rm -f conftest.undefs
+ mv conftest.tail conftest.undefs
+done
+rm -f conftest.undefs
+
+cat >>$CONFIG_STATUS <<\_ACEOF
+ # Let's still pretend it is `configure' which instantiates (i.e., don't
+ # use $as_me), people would be surprised to read:
+ # /* config.h. Generated by config.status. */
+ if test x"$ac_file" = x-; then
+ echo "/* Generated by configure. */" >$tmp/config.h
+ else
+ echo "/* $ac_file. Generated by configure. */" >$tmp/config.h
+ fi
+ cat $tmp/in >>$tmp/config.h
+ rm -f $tmp/in
+ if test x"$ac_file" != x-; then
+ if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
+ { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
+echo "$as_me: $ac_file is unchanged" >&6;}
+ else
+ ac_dir=`(dirname "$ac_file") 2>/dev/null ||
+$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
+ X"$ac_file" : 'X\(//\)[^/]' \| \
+ X"$ac_file" : 'X\(//\)$' \| \
+ X"$ac_file" : 'X\(/\)' \| \
+ . : '\(.\)' 2>/dev/null ||
+echo X"$ac_file" |
+ sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
+ /^X\(\/\/\)[^/].*/{ s//\1/; q; }
+ /^X\(\/\/\)$/{ s//\1/; q; }
+ /^X\(\/\).*/{ s//\1/; q; }
+ s/.*/./; q'`
+ { if $as_mkdir_p; then
+ mkdir -p "$ac_dir"
+ else
+ as_dir="$ac_dir"
+ as_dirs=
+ while test ! -d "$as_dir"; do
+ as_dirs="$as_dir $as_dirs"
+ as_dir=`(dirname "$as_dir") 2>/dev/null ||
+$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
+ X"$as_dir" : 'X\(//\)[^/]' \| \
+ X"$as_dir" : 'X\(//\)$' \| \
+ X"$as_dir" : 'X\(/\)' \| \
+ . : '\(.\)' 2>/dev/null ||
+echo X"$as_dir" |
+ sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
+ /^X\(\/\/\)[^/].*/{ s//\1/; q; }
+ /^X\(\/\/\)$/{ s//\1/; q; }
+ /^X\(\/\).*/{ s//\1/; q; }
+ s/.*/./; q'`
+ done
+ test ! -n "$as_dirs" || mkdir $as_dirs
+ fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
+echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
+ { (exit 1); exit 1; }; }; }
+
+ rm -f $ac_file
+ mv $tmp/config.h $ac_file
+ fi
+ else
+ cat $tmp/config.h
+ rm -f $tmp/config.h
+ fi
+done
+_ACEOF
cat >>$CONFIG_STATUS <<\_ACEOF